Bug 374851 - Library path error on loading tomboy
Library path error on loading tomboy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 12:27 EST by Seby Carta
Modified: 2009-01-09 00:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:08:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seby Carta 2007-11-10 12:27:05 EST
Description of problem:
After upgrade of mono, tomboy does not start anymore.
This is the error:
-----------------------------------
[seby@darkDrake ~]$ tomboy
The assembly mscorlib.dll was not found or could not be loaded.
It should have been installed in the `/usr/lib/mono/2.0/mscorlib.dll' directory.
[seby@darkDrake ~]$ 
-----------------------------------

/usr/lib/mono does not exist on my sistem, the dll is located under
/usr/lib64/mono/2.0/

Version-Release number of selected component (if applicable):
tomboy-0.8.1-1.fc8
mono-core-1.2.5.1-2.fc8
mono-data-1.2.5.1-2.fc8
mono-winforms-1.2.5.1-2.fc8
mono-web-1.2.5.1-2.fc8
mono-data-sqlite-1.2.5.1-2.fc8

How reproducible:
Always

Steps to Reproduce:
1. launch tomboy
2.
3.
  
Actual results:
The error appear

Expected results:
start tomboy

Additional info:
Comment 1 Ray Strode [halfline] 2007-11-12 12:38:14 EST
are you seeing this problem from the mono update in F8?
Comment 2 Seby Carta 2007-11-12 16:04:36 EST
yes... from the mono update. i had to create a symbolic link in /usr/lib ==>
/usr/lib64/mono to start tomboy
Comment 3 Jon Stanley 2008-02-25 15:11:32 EST
changing component to mono, since this is caused by the mono update, not tomboy.
Comment 4 Paul F. Johnson 2008-10-20 08:03:27 EDT
I'm looking at how feasible it will be to get mono-1.9.1 into F8 without breaking too much as the version in there is too old now. Xavier, how much work is involved in rebuilding against 1.9.1 for the core components in f8?
Comment 5 Bug Zapper 2008-11-26 03:17:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:08:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.